﻿@page
@model Project_PRN221_1.Pages.Login.RegistModel
@{
}
<style>
    .registration-form {
        max-width: 400px;
        margin: 0 auto;
        padding: 20px;
        border: 1px solid #ccc;
        border-radius: 5px;
        background-color: #f9f9f9;
    }

    .form-group {
        margin-bottom: 20px;
    }

    label {
        font-weight: bold;
    }

    input[type="text"],
    input[type="email"],
    input[type="password"] {
        width: 100%;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 4px;
        box-sizing: border-box;
    }

    button {
        display: block;
        width: 100%;
        padding: 10px;
        background-color: #007bff;
        color: #fff;
        border: none;
        border-radius: 4px;
        cursor: pointer;
    }

        button:hover {
            background-color: #0056b3;
        }
</style>
<form asp-page="/login/regist" method="post" enctype="multipart/form-data" class="registration-form">
    <div asp-validation-summary="All" class="text-danger"></div>
    <div class="form-group">
        <label for="username">Username:</label>
        <input type="text" id="username" name="Username" class="form-control" required />
    </div>
    <div class="form-group">
        <label for="email">Email:</label>
        <input type="email" id="email" name="Email" class="form-control" required />
    </div>
    <div class="form-group">
        <label for="name">Name:</label>
        <input type="text" id="name" name="Name" class="form-control" required />
    </div>
    <div class="form-group">
        <label for="password">Password:</label>
        <input type="password" id="password" name="Password" class="form-control" required />
    </div>
    <div class="form-group">
        <label for="password">Confirm password:</label>
        <input type="password" id="confirmpassword" name="ConfirmPassword" class="form-control" required />
    </div>
    <input type="hidden" name="RoleId" value="1" />
    <button type="submit" class="btn btn-primary">Register</button>
    <p>Already have an account? <a href="/login/login">Login</a></p>
</form>

@if (!string.IsNullOrEmpty(Model.Message))
{
    <p>@Model.Message</p>
}

